## hrp adb install

push package to the device and install them automatically

```
hrp adb install [flags] PACKAGE
```

### Options

```
  -d, --downgrade       allow version code downgrade (debuggable packages only)
  -g, --grant           grant all runtime permissions
  -h, --help            help for install
  -r, --replace         replace existing application
  -s, --serial string   filter by device's serial
```

### Options inherited from parent commands

```
      --log-json           set log to json format (default colorized console)
  -l, --log-level string   set log level (default "INFO")
      --venv string        specify python3 venv path
```

### SEE ALSO

* [hrp adb](hrp_adb.md)	 - simple utils for android device management

###### Auto generated by spf13/cobra on 8-Jun-2025
